Skip to main content
POST
/
cloudinary
/
signature
Generate Upload Signature
curl --request POST \
  --url https://cdn.tailoredd.com/apiV2/cloudinary/signature \
  --header 'Content-Type: application/json' \
  --data '
{
  "productId": "product-123",
  "reviewId": "review-abc123",
  "resourceType": "image"
}
'
{
  "success": true,
  "data": {}
}
POST {BASE_URL}/cloudinary/signature

Body parameters

productId
string
required
Product ID.
reviewId
string
required
Review ID.
resourceType
string
required
image or video.

Response

{
  "success": true,
  "data": {
    "signature":        "<sha256 hex>",
    "timestamp":        1718445060,
    "folder":           "reviews/merchantId/productId/reviewId",
    "eager_async":      true,
    "notification_url": "<provided on onboarding>"
  }
}

Headers

X-Merchant-Id
string
Origin
string

Body

application/json

The body is of type object.

Response

Successful response

success
boolean
required
Example:

true

data
object